From e33ecf1595e390b2657018442c68ae824b3e13b4 Mon Sep 17 00:00:00 2001
From: Hauke Mehrtens <hauke@hauke-m.de>
Date: Tue, 15 Dec 2020 23:58:53 +0100
Subject: [PATCH e2fsprogs] build: Add SYSLIBS to e4crypt linking

The $(SYSLIBS) was missing when linking the e4crypt application. This is
available in the e4crypt.profiled variant, so I assume this was just
missing in the normal variant and is not left out intentionally.

This fixes building e2fsprogrs with -fsanitize=undefined in the global
CFLAGS nad LDFLAGS.

Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
---
 misc/Makefile.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- a/misc/Makefile.in
+++ b/misc/Makefile.in
@@ -242,7 +242,7 @@ e4defrag: $(E4DEFRAG_OBJS) $(DEPLIBS)
 e4crypt: $(E4CRYPT_OBJS) $(DEPLIBS) $(DEPSTATIC_LIBUUID)
 	$(E) "	LD $@"
 	$(Q) $(CC) $(ALL_LDFLAGS) -o e4crypt $(E4CRYPT_OBJS) \
-		$(LIBUUID) $(LIBS)
+		$(LIBUUID) $(LIBS) $(SYSLIBS)
 
 e4defrag.profiled: $(E4DEFRAG_OBJS) $(PROFILED_DEPLIBS)
 	$(E) "	LD $@"
